Web Apps - List Usages

Description for Gets the quota usage information of an app (or deployment slot, if specified).

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/usages?api-version=2025-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/usages?api-version=2025-05-01&$filter={$filter}

URI Parameters

Name In Required Type Description
name
path True

string

Name of the app.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

$filter
query

string

Return only information specified in the filter (using OData syntax). For example: $filter=(name.value eq 'Metric1' or name.value eq 'Metric2') and startTime eq 2014-01-01T00:00:00Z and endTime eq 2014-12-31T23:59:59Z and timeGrain eq duration'[Hour|Minute|Day]'.

Responses

Name Type Description
200 OK

CsmUsageQuotaCollection

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

Name Description
CsmUsageQuota

Usage of the quota resource.

CsmUsageQuotaCollection

Paged collection of CsmUsageQuota items

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

LocalizableString

Localizable string object containing the name and a localized value.

CsmUsageQuota

Usage of the quota resource.

Name Type Description
currentValue

integer (int64)

The current value of the resource counter.

limit

integer (int64)

The resource limit.

name

LocalizableString

Quota name.

nextResetTime

string (date-time)

Next reset time for the resource counter.

unit

string

Units of measurement for the quota resource.

CsmUsageQuotaCollection

Paged collection of CsmUsageQuota items

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

CsmUsageQuota[]

The CsmUsageQuota items on this page

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

LocalizableString

Localizable string object containing the name and a localized value.

Name Type Description
localizedValue

string

Localized name.

value

string

Non-localized name.